
const config = require("../config.js").db,
    Sequelize = require("sequelize"),
    sequelize = new Sequelize(config.database, config.username, config.password, { dialect: "mysql", host: config.server });

const User = sequelize.import(__dirname + "/../models/users.js"),
    DocumentType = sequelize.import(__dirname + "/../models/document.js");

module.exports = {
    ready: sequelize.sync({ alter: true }),
    sequelize: sequelize,
    User: User,
    Document: DocumentType.Document,
    DocumentCover: DocumentType.DocumentCover
};

